# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit

# Removes the "_alpha" part of the ebuild version and replace it with "r"
MY_PV="${PV/_alpha/r}"

DESCRIPTION="Vector and bitmap graphics editor"
HOMEPAGE="http://www.xaraxtreme.org/"
SRC_URI="http://downloads.xara.com/opensource/XaraLX-${MY_PV}.tar.bz2"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~x86"
IUSE="debug nls"

DEPEND="app-arch/zip \
	dev-lang/perl \
	>=media-libs/jpeg-6b \
	>=media-libs/libpng-1.2.8 \
	>=x11-libs/gtk+-2.0 \
	>=x11-libs/wxGTK-2.6.3_rc2"

RDEPEND="${DEPEND}"

S="${WORKDIR}/XaraLX-${MY_PV}"

src_compile() {

	cd ${S}

	autoreconf -f -i -s || die "autoreconf failed"

	econf \
		$(use_enable debug) \
		$(use_enable nls) \
		||die "econf failed"

}

src_install() {

	make DESTDIR=${D} install || die "install failed"

}

pkg_postinst() {

	cd ${S}

	dodoc AUTHORS ChangeLog NEWS README

	einfo
	einfo "Note the executable name is \"XaraLX\"."
	einfo
	einfo "Note that some code of this package still is not under"
	einfo "the GPL-2 license. For the code already under the GPL-2"
	einfo "license, some additional rights are given. Please check"
	einfo "the package content, for more informations."
	einfo

}
